/estimates/quote

Retrieve an estimate of the price(s), time, and distance for a delivery from a point A to a point B.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

When queried with two pairs of coordinates, corresponding to the pick-up and drop-off points, this endpoint will respond with an estimate of how long it might take in seconds, the distance that the driver will have to travel in metres (the routes are optimised), and a price quotation for the delivery. See the below table for a description:

Response elementTypeDescription
timeintThis is our estimate of the time, in seconds, that a driver would take to navigate from the point of pickup to the point of dropoff.
distanceintEstimate of the distance, in metres (through an optimised route).
pricefloatThe charge, should you place the delivery. (The default currency is ZAR)
quoteslist[Quote]A list of of quotes that can be stored.

Each Quote item has the following structure:

PropertyTypeDescription
typestringThe WumDrop package/vehicle type that this quote is for.
price_estimatefloatThe charge, should you use this quote when you place the delivery. (The default currency is ZAR)
quote_idlongA reference to this quote. Use when placing a delivery.
Query Params
string
required

Latitude of pickup point

string
required

Longitude of pickup point

string
required

Latitude of dropoff point

string
required

Longitude of dropoff point

boolean
Defaults to false

Whether or not this is a round trip delivery quote

string
Defaults to 0

The service level of the delivery being quoted. Users may choose between 0 = On demand, 3 = Same day, or 1 for After hours. For more info on these service levels see: https://wumdrop.com/pricing

boolean
Defaults to false

Whether or not the quote should be stored for retrieval later

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json